﻿@model ProjectUni.Models.Users
@using ProjectUni.Models;
@{
    ViewBag.Title = "";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}
@{
    PContext db = new PContext();
    var id = Session["UserID"];
    var ob = db.Registration.Find(id);
    var em = ob.Email;

}

<div class="col-xs-12">
    <div class="box">
        <div class="box-body">
            <div class="row" style="background-color:rgba(0, 0, 0, 0.81);margin:20px 0px 20px 100px;">
                <div class="col-sm-offset-1 col-sm-6">
                    @if (ViewBag.action == "p" || ViewBag.action == null)
                    {
                        <h2 class="ph" style="margin-top:20px">Personal Information</h2>

                        using (Html.BeginForm("InsertInfo", "Users", FormMethod.Post, new { enctype = "multipart/form-data" }))
                        {
                            @Html.AntiForgeryToken()


                            @Html.HiddenFor(model => model.UserId);
                            @Html.HiddenFor(model => model.OrganizationName);
                            @Html.HiddenFor(model => model.Duration);
                            @Html.HiddenFor(model => model.Responsibility);
                            @Html.HiddenFor(model => model.LevelId);
                            @Html.HiddenFor(model => model.Image);
                            @Html.HiddenFor(model => model.DegreeId);
                            @Html.HiddenFor(model => model.DateofCompletion);
                            @Html.HiddenFor(model => model.Institute);
                            @Html.HiddenFor(model => model.Grade);
                            @Html.HiddenFor(model => model.Skills);


                            <div class="form-horizontal">
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                <div class="form-group">
                                    @Html.LabelFor(model => model.FirstName, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.FirstName, new { htmlAttributes = new { @class = "form-control", @required = "required" } })
                                        @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.LastName, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.LastName, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        <input type="text" name="Email" value="@em" id="Email" class="form-control" readonly="readonly" />
                                        @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.Gender, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.DropDownList("Gender", new List<SelectListItem> {
                        new SelectListItem{Text = "Male", Value= "Male"},
                                                                      new SelectListItem{Text = "Female", Value= "Female"},
                        new SelectListItem{Text = "Rather not say", Value= "notsay"}
                        }, "Select Gender", new { @class = "form-control" })
                                        @Html.ValidationMessageFor(model => model.Gender, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.DateofBirth, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @{ if (Model != null)
                                            {
                                                @Html.EditorFor(model => model.DateofBirth, new { htmlAttributes = new { @Value = @Model.DateofBirth.ToString("yyyy-MM-dd"), @class = "form-control" } })
                                            }
                                            else
                                            {
                                                @Html.EditorFor(model => model.DateofBirth, new { htmlAttributes = new { @class = "form-control" } })
                                            }
                                        }
                                        @Html.ValidationMessageFor(model => model.DateofBirth, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.Contact, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.Contact, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Contact, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.CNIC, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.CNIC, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.CNIC, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.Address, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.Address, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Address, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.CityId, "CityId", htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.DropDownList("CityId", null, "Select City", htmlAttributes: new { @class = "form-control" })
                                        @Html.ValidationMessageFor(model => model.CityId, "", new { @class = "text-danger" })
                                    </div>
                                </div>



                                <div class="form-group">
                                    <label class="control-label col-md-3">Image</label>
                                    <div class="col-md-9">
                                        <input type="file" name="Image" class="form-control" />
                                        <br />
                                        @*@{ if (Model != null)
                                            {
                                                <a target="_self" href="@Url.Content(Model.Image)">
                                                    <img src="@Url.Content(Model.Image)" alt="" height="80" width="100" class="img-thumbnail">
                                                </a>
                                            }
                                        }*@
                                        @Html.ValidationMessageFor(model => model.Image, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-md-offset-3 col-md-3">
                                        <input type="submit" value="Create" class="btn btn-default btn-sumbit" />
                                        <br /><br />
                                        <input type="reset" value="Reset" class="btn btn-default btn-sumbit" style="background-color: #e7fab9;color:#527bd0" />
                                    </div>
                                </div>
                            </div>
                        }
                    }

                    @if (ViewBag.action == "Ed")
                    {
                        <h2 class="ph">Educational Information</h2>

                        using (Html.BeginForm())
                        {
                            @Html.AntiForgeryToken()

                            <div class="form-horizontal">
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                                @Html.HiddenFor(model => model.UserId);
                                @Html.HiddenFor(model => model.FirstName);
                                @Html.HiddenFor(model => model.LastName);
                                @Html.HiddenFor(model => model.Gender);
                                @Html.HiddenFor(model => model.DateofBirth);
                                @Html.HiddenFor(model => model.CNIC);
                                @Html.HiddenFor(model => model.Contact);
                                @Html.HiddenFor(model => model.Email);
                                @Html.HiddenFor(model => model.Address);
                                @Html.HiddenFor(model => model.CityId);
                                @Html.HiddenFor(model => model.Image);
                                @*@Html.HiddenFor(model => model.DegreeId);*@


                                <div class="form-group">
                                    @Html.LabelFor(model => model.LevelId, "LevelId", htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.DropDownList("LevelId", null, "Select Level", htmlAttributes: new { @class = "form-control" })
                                        @Html.ValidationMessageFor(model => model.LevelId, "", new { @class = "text-danger" })
                                    </div>
                                </div>


                                <div class="form-group" id="degid">
                                    @Html.LabelFor(model => model.DegreeId, "DegreeId", htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        <input type="text" name="deg" value="@ViewBag.deg" id="Email" class="form-control" readonly="readonly" />
                                        @Html.DropDownList("DegreeId", new SelectList(""), htmlAttributes: new { @class = "form-control" })
                                        @Html.ValidationMessageFor(model => model.DegreeId, "", new { @class = "text-danger" })
                                    </div>
                                </div>


                                <div class="form-group">
                                    @Html.LabelFor(model => model.Institute, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.Institute, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Institute, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.DateofCompletion, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.DateofCompletion, new { htmlAttributes = new { @Value = @Model.DateofBirth.ToString("yyyy-MM-dd"), @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.DateofCompletion, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.Grade, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.Grade, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Grade, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.Skills, "Skills", htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.Skills, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Skills, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-md-offset-3 col-md-3">
                                        <input type="submit" value="Create" class="btn btn-default btn-sumbit" />
                                        <br /><br />
                                        <input type="reset" value="Reset" class="btn btn-default btn-sumbit" style="background-color: #e7fab9;color:#527bd0" />
                                    </div>
                                </div>
                            </div>
                        }
                    }


                    @if (ViewBag.action == "Ex")
                    {
                        <h2 class="ph">Past Experience</h2>

                        using (Html.BeginForm())
                        {
                            @Html.AntiForgeryToken()

                            <div class="form-horizontal">
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                                @Html.HiddenFor(model => model.UserId);
                                @Html.HiddenFor(model => model.FirstName);
                                @Html.HiddenFor(model => model.LastName);
                                @Html.HiddenFor(model => model.Gender);
                                @Html.HiddenFor(model => model.DateofBirth);
                                @Html.HiddenFor(model => model.CNIC);
                                @Html.HiddenFor(model => model.CityId);
                                @Html.HiddenFor(model => model.Contact);
                                @Html.HiddenFor(model => model.Email);
                                @Html.HiddenFor(model => model.Address);
                                @Html.HiddenFor(model => model.LevelId);
                                @Html.HiddenFor(model => model.DegreeId);
                                @Html.HiddenFor(model => model.DateofCompletion);
                                @Html.HiddenFor(model => model.Institute);
                                @Html.HiddenFor(model => model.Grade);
                                @Html.HiddenFor(model => model.Skills);

                                <div class="form-group">
                                    @Html.LabelFor(model => model.OrganizationName, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.OrganizationName, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.OrganizationName, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.Duration, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.Duration, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Duration, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    @Html.LabelFor(model => model.Responsibility, htmlAttributes: new { @class = "control-label col-md-3" })
                                    <div class="col-md-9">
                                        @Html.EditorFor(model => model.Responsibility, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Responsibility, "", new { @class = "text-danger" })
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-md-offset-3 col-md-3">
                                        <input type="submit" value="Create" class="btn btn-default btn-sumbit" />
                                        <br /><br />
                                        <input type="reset" value="Reset" class="btn btn-default btn-sumbit" style="background-color: #e7fab9;color:#527bd0" />
                                    </div>
                                </div>
                            </div>
                        }
                    }




                </div>
            </div>

        </div>
    </div>
</div>





<script src="~/Scripts/jquery-1.10.2.min.js"></script>
<script>
    $(document).ready(function () {
        $("#degid").hide();
        $("#LevelId").change(function () {
            var deglevel = $(this).val();
            debugger
            $.ajax({
                type: "post",
                url: "/Users/getDegreeArea?LevelId=" + deglevel,
                contentType: "html",
                success: function (response) {
                    debugger
                    $("#DegreeId").empty();
                    $("#DegreeId").append(response);
                    $("#degid").show();
                }
            })
        })
    })
</script>